org.apache.commons.compress.utils

## Class BoundedInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.commons.compress.utils.BoundedInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class BoundedInputStream
      extends InputStream

  A stream that limits reading from a wrapped stream to a given number of bytes.
  Since:
    1.6
  This class is not thread-safe

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundedInputStream(InputStream in, long size)` Creates the stream that will at most read the given amount of bytes from the given stream.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `long` | `getBytesRemaining()`
    `int` | `read()`
    `int` | `read(byte[] b, int off, int len)`
    `long` | `skip(long n)`

    - ### Methods inherited from class java.io.InputStream

      `available, mark, markSupported, read, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundedInputStream

          public BoundedInputStream(InputStream in,
                                    long size)

      Creates the stream that will at most read the given amount of bytes from the given stream.
      Parameters:
        `in` - the stream to read from
        `size` - the maximum amount of bytes to read

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `InputStream`

    - #### getBytesRemaining

          public long getBytesRemaining()

      Returns:
        bytes remaining to read
      Since:
        1.21

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### skip

          public long skip(long n)
                    throws IOException

      Overrides:
        `skip` in class `InputStream`
      Throws:
        `IOException`
      Since:
        1.20

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.